Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.jce.provider
Class DHUtil

    java.lang.Object
      org.bouncycastle.jce.provider.DHUtil

    public class DHUtil

extends java.lang.Object

utility class for converting jce/jca DH objects objects into their org.bouncycastle.crypto counterparts.

Constructor Summary
`DHUtil()`

Method Summary
`static AsymmetricKeyParameter` `generatePrivateKeyParameter(java.security.PrivateKey key)`
`static AsymmetricKeyParameter` `generatePublicKeyParameter(java.security.PublicKey key)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DHUtil

    public DHUtil()

Method Detail

### generatePublicKeyParameter

    public static AsymmetricKeyParameter generatePublicKeyParameter(java.security.PublicKey key)
                                                             throws java.security.InvalidKeyException

  Throws:
    `java.security.InvalidKeyException`

### generatePrivateKeyParameter

    public static AsymmetricKeyParameter generatePrivateKeyParameter(java.security.PrivateKey key)
                                                              throws java.security.InvalidKeyException

  Throws:
    `java.security.InvalidKeyException`

Bouncy Castle Cryptography Library 1.45